FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 10-02-2012, 06:56 PM
Fernando Villareal
 
Default Subject: Digest of gentoo-user@lists.gentoo.org issue 2724 (141378-141427)

On Sun, Sep 16, 2012 at 11:05 AM, <gentoo-user+help@lists.gentoo.org> wrote:

Topics (messages 141378 through 141427):



[gentoo-user] How do I determine the processor type?

* * * 141378 - felix@crowfix.com



[gentoo-user] How do I determine the processor type?

* * * 141379 - Dale <rdalek1967@gmail.com>



[gentoo-user] How do I determine the processor type?

* * * 141380 - felix@crowfix.com



[gentoo-user] UPS and serial or USB connections

* * * 141381 - Dale <rdalek1967@gmail.com>



[gentoo-user] UPS and serial or USB connections

* * * 141382 - "J. Roeleveld" <joost@antarean.org>



[gentoo-user] UPS and serial or USB connections

* * * 141383 - Dale <rdalek1967@gmail.com>



[gentoo-user] How do I determine the processor type?

* * * 141384 - Dale <rdalek1967@gmail.com>



[gentoo-user] How do I determine the processor type? -- grub2 comments

* * * 141385 - "G.Wolfe Woodbury" <redwolfe@gmail.com>



[gentoo-user] UPS and serial or USB connections

* * * 141386 - "J. Roeleveld" <joost@antarean.org>



[gentoo-user] UPS and serial or USB connections

* * * 141387 - Dale <rdalek1967@gmail.com>



[gentoo-user] How do I determine the processor type? -- grub2 comments

* * * 141388 - felix@crowfix.com



[gentoo-user] Re: modem configuration

* * * 141389 - Philipp Kraus <philipp.kraus@flashpixx.de>



[gentoo-user] Gentoo is the best linux distro

* * * 141390 - Graham Murray <graham@gmurray.org.uk>



[gentoo-user] Re: How do I determine the processor type?

* * * 141391 - Grant Edwards <grant.b.edwards@gmail.com>



[gentoo-user] Re: How do I determine the processor type?

* * * 141392 - Grant Edwards <grant.b.edwards@gmail.com>



[gentoo-user] Generate an ebuild for mldonkey-3.1.3

* * * 141393 - Alexandre Paz Mena <erzapito@gmail.com>



[gentoo-user] Update to newer kernel completely hoses suspend

* * * 141394 - Daniel Frey <djqfrey@gmail.com>



[gentoo-user] Re: modem configuration

* * * 141395 - Mick <michaelkintzios@gmail.com>



[gentoo-user] Update to newer kernel completely hoses suspend

* * * 141396 - Mick <michaelkintzios@gmail.com>



[gentoo-user] Update to newer kernel completely hoses suspend

* * * 141397 - Dale <rdalek1967@gmail.com>



[gentoo-user] new machine : a few small queries

* * * 141398 - Mick <michaelkintzios@gmail.com>



[gentoo-user] partitioning an ssd for new installation

* * * 141399 - Allan Gottlieb <gottlieb@nyu.edu>



[gentoo-user] bibletime segmentation fault

* * * 141400 - Gene Hannan <gjhannan@yahoo.com>



[gentoo-user] new machine : a few small queries

* * * 141401 - Philip Webb <purslow@ca.inter.net>



[gentoo-user] partitioning an ssd for new installation

* * * 141402 - Kerin Millar <kerframil@fastmail.co.uk>



[gentoo-user] partitioning an ssd for new installation

* * * 141403 - Philip Webb <purslow@ca.inter.net>



[gentoo-user] partitioning an ssd for new installation

* * * 141404 - Kerin Millar <kerframil@fastmail.co.uk>



[gentoo-user] partitioning an ssd for new installation

* * * 141405 - Allan Gottlieb <gottlieb@nyu.edu>



[gentoo-user] partitioning an ssd for new installation

* * * 141406 - Allan Gottlieb <gottlieb@nyu.edu>



[gentoo-user] partitioning an ssd for new installation

* * * 141407 - William Kenworthy <billk@iinet.net.au>



[gentoo-user] partitioning an ssd for new installation

* * * 141408 - Allan Gottlieb <gottlieb@nyu.edu>



[gentoo-user] partitioning an ssd for new installation

* * * 141409 - Kerin Millar <kerframil@fastmail.co.uk>



[gentoo-user] Generate an ebuild for mldonkey-3.1.3

* * * 141410 - Michael Orlitzky <michael@orlitzky.com>



[gentoo-user] Apache forked itself to death...

* * * 141411 - Jarry <mr.jarry@gmail.com>



[gentoo-user] Generate an ebuild for mldonkey-3.1.3

* * * 141412 - Alexandre Paz Mena <erzapito@gmail.com>



[gentoo-user] Samba wants to downgrade my python....

* * * 141413 - Andrew Lowe <agl@wht.com.au>



[gentoo-user] Samba wants to downgrade my python....

* * * 141414 - Randolph Maaßen <r.maassen60@gmail.com>



[gentoo-user] Samba wants to downgrade my python....

* * * 141415 - Alan McKinnon <alan.mckinnon@gmail.com>



[gentoo-user] Samba wants to downgrade my python....

* * * 141416 - Neil Bothwick <neil@digimed.co.uk>



[gentoo-user] Samba wants to downgrade my python....

* * * 141417 - Marc Joliet <marcec@gmx.de>



[gentoo-user] Samba wants to downgrade my python....

* * * 141418 - Andrew Lowe <agl@wht.com.au>



[gentoo-user] Samba wants to downgrade my python....

* * * 141419 - Neil Bothwick <neil@digimed.co.uk>



[gentoo-user] Apache forked itself to death...

* * * 141420 - Michael Hampicke <gentoo-user@hadt.biz>



[gentoo-user] Samba wants to downgrade my python....

* * * 141421 - Andrew Lowe <agl@wht.com.au>



[gentoo-user] Apache forked itself to death...

* * * 141422 - Michael Mol <mikemol@gmail.com>



[gentoo-user] Generate an ebuild for mldonkey-3.1.3

* * * 141423 - Michael Orlitzky <michael@orlitzky.com>



[gentoo-user] Offline Update

* * * 141424 - Silvio Siefke <siefke_listen@web.de>



[gentoo-user] Samba wants to downgrade my python....

* * * 141425 - Kerin Millar <kerframil@fastmail.co.uk>



[gentoo-user] Offline Update

* * * 141426 - Alan McKinnon <alan.mckinnon@gmail.com>



[gentoo-user] Offline Update

* * * 141427 - Bryan Gardiner <bog@khumba.net>




On Sat, Sep 15, 2012 at 01:26:41AM +0100, Kerin Millar wrote:

> felix@crowfix.com wrote:

> > On Sat, Sep 15, 2012 at 12:45:51AM +0100, Kerin Millar wrote:

> >> felix@crowfix.com wrote:

> >>> I have a shiny new System76 laptop with a "3rd Generation Intel Core i7-3720QM Processor (2.60GHz 6MB L3 Cache - 4 Cores plus Hyperthreading)".

> >>>

> >>> It comes with Ubuntu, so naturally my first move was to split the Ubuntu partition in half and install gentoo. *I will say no more about my first experiences with Unity.

> >>>

> >>> The Ubunto uname -a says "3.2.0-30-generic #48-Ubuntu SMP Fri Aug 24 16:52:48 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux".

> >> Take note - it's a x86_64 host environment.

> >>

> >>> I installed the latest stage3 tarball and set up make.conf as

> >> Which stage3 tarball exactly?

> >

> > Maybe that's part of my confusion -- I was following the x86 handbook, not amd64, because it's not amd. *But if amd64 should be used for all 64 bit installs, that's probably my problem.

> >

> > As for the exact stage3 tarball, the ftp choice was "gentoo/releases/x86/current-stage3". *This was about Sep 10.

> >

>

> It will work if you chroot as described in my previous message. linux32

> is a symlink to setarch so you can read the setarch manpage if you're

> curious as to why it is necessary. Still, unless you have a particular

> reason not to avoid using an amd64 stage tarball, I'd suggest starting

> over with one.



Nope, just ignorance, thinking that amd64 shouldn't be used with an intel processor.



--

* * * * * * ... _._. ._ ._. . _._. ._. ___ .__ ._. . .__. ._ .. ._.

* * *Felix Finch: scarecrow repairman & rocket surgeon / felix@crowfix.com

* GPG = E987 4493 C860 246C 3B1E *6477 7838 76E9 182E 8151 ITAR license #4933

I've found a solution to Fermat's Last Theorem but I see I've run out of room o


felix@crowfix.com wrote:

> On Sat, Sep 15, 2012 at 01:26:41AM +0100, Kerin Millar wrote:

>> felix@crowfix.com wrote:

>>> On Sat, Sep 15, 2012 at 12:45:51AM +0100, Kerin Millar wrote:

>>>> felix@crowfix.com wrote:

>>>>> I have a shiny new System76 laptop with a "3rd Generation Intel Core i7-3720QM Processor (2.60GHz 6MB L3 Cache - 4 Cores plus Hyperthreading)".

>>>>>

>>>>> It comes with Ubuntu, so naturally my first move was to split the Ubuntu partition in half and install gentoo. *I will say no more about my first experiences with Unity.

>>>>>

>>>>> The Ubunto uname -a says "3.2.0-30-generic #48-Ubuntu SMP Fri Aug 24 16:52:48 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux".

>>>> Take note - it's a x86_64 host environment.

>>>>

>>>>> I installed the latest stage3 tarball and set up make.conf as

>>>> Which stage3 tarball exactly?

>>> Maybe that's part of my confusion -- I was following the x86 handbook, not amd64, because it's not amd. *But if amd64 should be used for all 64 bit installs, that's probably my problem.

>>>

>>> As for the exact stage3 tarball, the ftp choice was "gentoo/releases/x86/current-stage3". *This was about Sep 10.

>>>

>> It will work if you chroot as described in my previous message. linux32

>> is a symlink to setarch so you can read the setarch manpage if you're

>> curious as to why it is necessary. Still, unless you have a particular

>> reason not to avoid using an amd64 stage tarball, I'd suggest starting

>> over with one.

> Nope, just ignorance, thinking that amd64 shouldn't be used with an intel processor.

>



From my understanding, someone correct me if I am off here, AMD sort of

beat Intel to the 64 bit thing. *So, it sort of got named amd64 even tho

Intel came along later on and the name just stuck. *That's a very short

version of the story and I think that is how it went but someone may

come along and correct something.



Dale



:-) *:-)



--

I am only responsible for what I said ... Not for what you understood or how you interpreted my words!




On Fri, Sep 14, 2012 at 09:42:42PM -0500, Dale wrote:



> From my understanding, someone correct me if I am off here, AMD sort of

> beat Intel to the 64 bit thing. *So, it sort of got named amd64 even tho

> Intel came along later on and the name just stuck. *That's a very short

> version of the story and I think that is how it went but someone may

> come along and correct something.



I sort of knew that, but I haven't kept up with all the processor

names, and linux the kernel merged x86 and amd64 in some fashion, or

was it x86 and x86_64? */usr/src/linux/arch/x86_64/boot/bzImage is a

symlink to the x86. *It's all very confusing, and one of the gentoo

docs says iCore2 is Xeon, so what do I know about iCore7?



Kernel compile finished, 16 minutes (SSD sure speeds it up). *I'll

finish the setup tomorrow. *At some point I have to figure out where

Ubuntu hides the boot config so I can add an entry for the gentoo install.



--

* * * * * * ... _._. ._ ._. . _._. ._. ___ .__ ._. . .__. ._ .. ._.

* * *Felix Finch: scarecrow repairman & rocket surgeon / felix@crowfix.com

* GPG = E987 4493 C860 246C 3B1E *6477 7838 76E9 182E 8151 ITAR license #4933

I've found a solution to Fermat's Last Theorem but I see I've run out of room o


Howdy,



Newegg just had a sale on a really nice UPS. *I got one. *Anyway, it has

both serial and USB connections. *I have a question about these. *I

could use either one but not sure if it matters. *Does the USB

connection offer any additional features over the serial connection? *I

could use USB but would rather use serial since nothing else I have is

serial but I have a bit of USB devices. *Also, I never disconnect the

serial cable from either the system or the UPS when either is in use.

Sort of defeats the purpose I guess. *Since it also has screws to make

sure the serial cable doesn't come undone, the serial has one

advantage. *I'm not sure what would happen if it looses the connection

all of a sudden. *Does it do like NORAD and assume power is out? *lol



So, since I already have everything set up for serial connections,

should I just keep using it or does the USB have more goodies?



Thanks.



Dale



:-) *:-)





P. S. *Crap, there goes my uptime again. *:-@



--

I am only responsible for what I said ... Not for what you understood or how you interpreted my words!




Dale <rdalek1967@gmail.com> wrote:

Howdy,

Newegg just had a sale on a really nice UPS. I got one. Anyway, it has
both serial and USB connections. I have a question about these. I

could use either one but not sure if it matters. Does the USB
connection offer any additional features over the serial connection? I
could use USB but would rather use serial since nothing else I have is
serial but I have a bit of USB devices. Also, I never disconnect the

serial cable from either the system or the UPS when either is in use.
Sort of defeats the purpose I guess. Since it also has screws to make
sure the serial cable doesn't come undone, the serial has one
advantage. I'm not sure what would happen if it looses the connection

all of a sudden. Does it do like NORAD and assume power is out? lol

So, since I already have everything set up for se
rial
connections,
should I just keep using it or does the USB have more goodies?

Thanks.

Dale

:-) :-)


P. S. Crap, there goes my uptime again. :-@

Dale.



It depends on the UPS wether or not you get different functionality between serial or USB. You would need to check the manual and support for the UPS by NUT (or whichever tool you use)



How UPS software responds to a connection failure depends on how you configure it.



In other words. You haven't provided enough information on the UPS to give any meaningfull answers



Which UPS and which UPS software are you using?



--

Joost

--

Sent from my Android phone with K-9 Mail. Please excuse my brevity.





J. Roeleveld wrote:



Dale <rdalek1967@gmail.com> wrote:

Howdy,

Newegg just had a sale on a really nice UPS. I got one. Anyway, it has
both serial and USB connections. I have a question about these. I
could use either one but not sure if it matters. Does the USB
connection offer any additional features over the serial connection? I
could use USB but would rather use serial since nothing else I have is
serial but I have a bit of USB devices. Also, I never disconnect the
serial cable from either the system or the UPS when either is in use.
Sort of defeats the purpose I guess. Since it also has screws to make
sure the serial cable doesn't come undone, the serial has one
advantage. I'm not sure what would happen if it looses the connection
all of a sudden. Does it do like NORAD and assume power is out? lol

So, since I already have everything set up for se
rial
connections,
should I just keep using it or does the USB have more goodies?

Thanks.

Dale

:-) :-)


P. S. Crap, there goes my uptime again. :-@




Dale.



It depends on the UPS wether or not you get different
functionality between serial or USB. You would need to check the
manual and support for the UPS by NUT (or whichever tool you use)



How UPS software responds to a connection failure depends on how
you configure it.



In other words. You haven't provided enough information on the UPS
to give any meaningfull answers



Which UPS and which UPS software are you using?



--

Joost

--

Sent from my Android phone with K-9 Mail. Please excuse my
brevity.





Ooops.* I thought I put the model.* It's a CyberPower 1350AVR.* My
old UPS is a CyberPower 1250AVR but it is about 10 years old.* I
have one working plug left on the back of it.* I literally wore the
plugs out.* lol



According to the book, and the box, the new one uses powerpanel
which is the same as I use on the old UPS.* Since it uses the same
drivers/software, I figure it will work like my old one does.* Then
again, this is newer so that's why I ask.* My old one has LEDs on it
where this one has a display with more info than my old one.*



http://www.newegg.com/Product/Product.aspx?Item=N82E16842102070



I don't yet have the UPS hooked up to the puter.* I'm letting the
battery charge overnight first.* It says it is fully charged but
still.* Also, if it is going to blow up or something, I'd rather it
do all that before I plug my rig up to it.* o_O



Thanks.



Dale



:-)* :-)*

--
I am only responsible for what I said ... Not for what you understood or how you interpreted my words!




felix@crowfix.com wrote:

> On Fri, Sep 14, 2012 at 09:42:42PM -0500, Dale wrote:

>

>> From my understanding, someone correct me if I am off here, AMD sort of

>> beat Intel to the 64 bit thing. *So, it sort of got named amd64 even tho

>> Intel came along later on and the name just stuck. *That's a very short

>> version of the story and I think that is how it went but someone may

>> come along and correct something.

> I sort of knew that, but I haven't kept up with all the processor

> names, and linux the kernel merged x86 and amd64 in some fashion, or

> was it x86 and x86_64? */usr/src/linux/arch/x86_64/boot/bzImage is a

> symlink to the x86. *It's all very confusing, and one of the gentoo

> docs says iCore2 is Xeon, so what do I know about iCore7?

>

> Kernel compile finished, 16 minutes (SSD sure speeds it up). *I'll

> finish the setup tomorrow. *At some point I have to figure out where

> Ubuntu hides the boot config so I can add an entry for the gentoo install.

>





I didn't say it wasn't confusing. *;-) *Heck, I think I asked questions

here when I built my new rig which is sort of the reason why I

remember. *From some discussions I have seen, I think some CPUs need a

rocket scientist to figure out what to use. *I'm sure there is a rule

book somewhere. *lol



Put your kernel and such on /boot and run update-grub if I recall

correctly. *I installed Kubuntu for my brother and it has grub2 which

has some magic sprinkled on it. *I'm not sure how to tell it where to

point for the root partition tho. *That may require a thread here if

google doesn't help. *I might add, you may get better Ubuntu answers

here than from the Ubuntu folks. *I'll forgive you if everyone else

will. *ROFL



Dale



:-) *:-)



--

I am only responsible for what I said ... Not for what you understood or how you interpreted my words!




On 09/15/2012 12:28 AM, Dale wrote:

> Put your kernel and such on /boot and run update-grub if I recall

> correctly. I installed Kubuntu for my brother and it has grub2 which

> has some magic sprinkled on it. I'm not sure how to tell it where to

> point for the root partition tho. That may require a thread here if

> google doesn't help. I might add, you may get better Ubuntu answers

> here than from the Ubuntu folks. I'll forgive you if everyone else

> will. ROFL Dale :-) :-)

grub2 is a completely rewritten animal, so it is *different*



grub2-install /dev/sd??



is the incantation to put grub2 onto the selected boot partition. Then



<editor> /etc/default/grub

grub2-mkconfig -o /boot/grub2/grub.cfg



is the incantation for making the basic configuration. *If you have

multiple installations

on disk, emerge "os-prober" to bring in the detection of "foreign"

operating systems.

This creates the grub.cfg file, which prominently features a "DO NOT

EDIT" warning at the

top of the file; rank beginners are advised to edit /etc/defaut/grub if

that can make the changes

you want, but more advanced users can edit the grub.cfg to achieve

desired results.



For example, my grub.cfg has the default entry for my preferred OS to

boot, and then has

entries that bing in other configuration files for various other

situations. *I've got two

Gentoo collections, the Fedora collection and the Windows7 config. *the

grub2 "info"

pages are complete but a little dense and not as well organized as they

might be.



Good Luck.



--

G.Wolfe Woodbury








Dale <rdalek1967@gmail.com> wrote:






J. Roeleveld wrote:



Dale <rdalek1967@gmail.com> wrote:

Howdy,

Newegg just had a sale on a really nice UPS. I got one. Anyway, it has
both serial and USB connections. I have a question about these. I
could use either one but not sure if it matters. Does the USB
connection offer any additional features over the serial connection? I
could use USB but would rather use serial since nothing else I have is
serial but I have a bit of USB devices. Also, I never disconnect the
serial cable from either the system or the UPS when either is in use.
Sort of defeats the purpose I guess. Since it also has screws to make
sure the serial cable doesn't come undone, the serial has one
advantage. I'm not sure what would happen if it looses the connection
all of a sudden. Does it do like NORAD and assume power is out? lol

So, since I already have everything set up for se
rial
connections,
should I just keep using it or does the USB have more goodies?

Thanks.

Dale

:-) :-)


P. S. Crap, there goes my uptime again. :-@




Dale.



It depends on the UPS wether or not you get different
functionality between serial or USB. You would need to check the
manual and support for the UPS by NUT (or whichever tool you use)



How UPS software responds to a connection failure depends on how
you configure it.



In other words. You haven't provided enough information on the UPS
to give any meaningfull answers



Which UPS and which UPS software are you using?



--

Joost

--

Sent from my Android phone with K-9 Mail. Please excuse my
brevity.





Ooops.* I thought I put the model.* It's a CyberPower 1350AVR.* My
old UPS is a CyberPower 1250AVR but it is about 10 years old.* I
have one working plug left on the back of it.* I literally wore the
plugs out.* lol



According to the book, and the box, the new one uses powerpanel
which is the same as I use on the old UPS.* Since it uses the same
drivers/software, I figure it will work like my old one does.* Then
again, this is newer so that's why I ask.* My old one has LEDs on it
where this one has a display with more info than my old one.*



http://www.newegg.com/Product/Product.aspx?Item=N82E16842102070



I don't yet have the UPS hooked up to the puter.* I'm letting the
battery charge overnight first.* It says it is fully charged but
still.* Also, if it is going to blow up or something, I'd rather it
do all that before I plug my rig up to it.* o_O



Thanks.



Dale



:-)* :-)*

--
I am only responsible for what I said ... Not for what you understood or how you interpreted my words!



Software is MS Windows only according to that site.

What are you using on Linux?



Sometimes the software on the UPS gets changed. This might mean it is not compatible anymore.

--

Sent from my Android phone with K-9 Mail. Please excuse my brevity.





J. Roeleveld wrote:








Software is MS Windows only according to that site.

What are you using on Linux?



Sometimes the software on the UPS gets changed. This might mean it
is not compatible anymore.

--

Sent from my Android phone with K-9 Mail. Please excuse my
brevity.





I haven't connected the UPS yet so I'm still using my old UPS and
nut software.* It has a Linux version on the CD but no mention of
Gentoo, just rpm and deb.* I tried to install this once before and I
never got the software to work right.* I think it was the init
scripts that caused trouble.*



I looked at the nut website and it says the new UPS uses usbhid-ups
which appears to need to be connected to the UPS by USB.* I'll try
the serial cable first, see what if anything it reports, then try
USB and see if it reports the same thing.* The old UPS uses
powerpanel drivers within nut.* That is sort of confusing since they
call the Linux drivers the same as the windows software.*



Looks like I'm going to have to test this to see if it works or
not.* If it does, may need to report it to the people on the nut
website.* I would prefer serial if it works the same myself.*



Thanks much.*



Dale



:-)* :-)*

--
I am only responsible for what I said ... Not for what you understood or how you interpreted my words!




On Sat, Sep 15, 2012 at 01:05:41AM -0400, G.Wolfe Woodbury wrote:

> On 09/15/2012 12:28 AM, Dale wrote:

> > Put your kernel and such on /boot and run update-grub if I recall

> > correctly. I installed Kubuntu for my brother and it has grub2 which

> > has some magic sprinkled on it. I'm not sure how to tell it where to

> > point for the root partition tho. That may require a thread here if

> > google doesn't help. I might add, you may get better Ubuntu answers

> > here than from the Ubuntu folks. I'll forgive you if everyone else

> > will. ROFL Dale :-) :-)

> grub2 is a completely rewritten animal, so it is *different*

>

> grub2-install /dev/sd??

>

> is the incantation to put grub2 onto the selected boot partition. Then

>

> <editor> /etc/default/grub

> grub2-mkconfig -o /boot/grub2/grub.cfg



I figure I have to keep the existing Ubuntu install happy for a couple

of weeks. *This is a work laptop and the Ubuntu side is productive

right now, so gentoo is my spare time conversion, and only after I

have it doing everything the Ubuntu install does, can I muck up

Ubuntu. *It also is a handy reference if I get in a gentoo corner,

like setting up X or KVM.



--

* * * * * * ... _._. ._ ._. . _._. ._. ___ .__ ._. . .__. ._ .. ._.

* * *Felix Finch: scarecrow repairman & rocket surgeon / felix@crowfix.com

* GPG = E987 4493 C860 246C 3B1E *6477 7838 76E9 182E 8151 ITAR license #4933

I've found a solution to Fermat's Last Theorem but I see I've run out of room o


On 2012-09-14 02:32:37 +0200, Walter Dnes said:




On Thu, Sep 13, 2012 at 08:08:10PM +0200, Kraus Philipp wrote


Hello,



I have got a modem US Robotics 5637 and I would like to use it with

Hylafax+. Hylafax works fine, all clients can create jobs, but now

I would like to configure / test the modem. Can anybody explain me

how I can test / configure my modem. I have installed minicom and

the modem is setup under /dev/modem with this udev rules




* I have the same type of USB dialup modem running under Gentoo. *I use

it for emergency backup, if my ADSL connection goes down. *First

question... is your kernel properly configured? *You need to select the

USB Modem (CDC ACM) support kernel option. *In "make menuconfig" the

path is...

Device Drivers *--->

* *[*] USB support *--->

* * * *<*> * USB Modem (CDC ACM) support




Thanks, I have forgot the CDC ACM module within the kernel. Rebuild my kernel, everything works fine except

minicom, it shows always that my modem is offline, but if I send AT command the modem response



Phil






Volker Armin Hemmann <volkerarmin@googlemail.com> writes:



> and for a simple reason: ml have always been. So 'old timers' and 'people

> knowing their crap' hang around those. Then came AOL, eternal September and

> forums for this new crop of lol users. And since like minded people love to

> congrate...



And prior to the 'modern' forums, the quality of CompuServe forums was

(IMHO) far higher than nearly all of today's web-based forums.


On 2012-09-15, Dale <rdalek1967@gmail.com> wrote:



> From my understanding, someone correct me if I am off here, AMD sort of

> beat Intel to the 64 bit thing.



Not really. *Intel came out with the IA64 architecture in 2001 in the

Itanium processor. The IA64 architecture was much more RISC-like than

the IA32 (x86) architecture. *More importantly, it wasn't good at

running old IA32 software. It could emulate the IA32 instruction set,

but the emulation mode produced very slow performance. Because of

price and the poor backwards compatiblity it wasn't very popular on

the desktop (though it was used in some high-end servers and cluster

machines).



A couple of years later, AMD came out with the AMD64 (x86-64)

architecture in the Opteron processor. It _was_ backwards compatible

with the IA32 and was quite popular -- though initially it was mainly

used in IA32 mode (I still run all my AMD64 machines in IA32 mode

because I'm too lazy to change over when there's little benefit).



Once the Opteron family was widely adopted, and it became obvious that

the 64-bit mode of AMD64 processors was going to be vastly more

popular than the IA64 architecture, Intel jumped on board in 2004 with

the Xeon processor which implemented the AMD64 architecture.



After years and years of miserable sales, Intel finally gave up

flogging the Itanium pocessor family and abandoned the IA64

architecture in 2011.



--

Grant




On 2012-09-15, Grant Edwards <grant.b.edwards@gmail.com> wrote:

> On 2012-09-15, Dale <rdalek1967@gmail.com> wrote:

>

>> From my understanding, someone correct me if I am off here, AMD sort of

>> beat Intel to the 64 bit thing.





> After years and years of miserable sales, Intel finally gave up

> flogging the Itanium pocessor family and abandoned the IA64

> architecture in 2011.



Oops, after some research on Wikipedia, it looks like that last bit is

wrong. *Intel still appears to be making Itanium parts (but nobody

but HP cares).



Itanium is no longer supported by Microsoft, RedHat, Oracle, SAP, and

various other SW vendors (including Intel).



Most of the old Itanium server vendors (e.g. IBM, SGI, Dell) have also

abandonded Itanium. *It seems HP is still sticking with it and is, in

fact, has paid Intel over half a billion USD to keep it alive -- small

wonder HP is circling the drain.







--- /usr/portage/net-p2p/mldonkey/mldonkey-3.1.0.ebuild 2012-02-24

16:01:22.000000000 -0500

+++ ./mldonkey-3.1.3.ebuild * * 2012-09-14 09:47:39.613742734 -0400

@@ -92,7 +92,13 @@



*src_compile() {

* * * * export OCAMLRUNPARAM="l=256M"

- * * * emake || die "emake failed"

+

+ * * * local my_extra_libs

+ * * * if use gd; then

+ * * * * * * * my_extra_libs="-lpng15"

+ * * * fi

+

+ * * * emake LIBS="${my_extra_libs}" || die "emake failed"



* * * * if ! use guionly; then

* * * * * * * * emake utils || die "emake utils failed"




Thanks, I'll post a bug to upstream.



Meanwhile, instead of adding libs, I worked adding them to econf.

But a new problem has appeared, mldonkey-3.1.3 seems to not have a init.d script. I thought that was the ebuild work, but both ebuilds are almost the same and now I'm looking through the tarballs to see any differences related to that.




Regards.
--
Alexandre Paz Mena


Well, it turns out it was my PSU. The voltage drop on the 5V line was

4.08, but it would slowly warm up to 4.95V, then the PC would behave

normally. I opened the PSU and there was a ruptured cap.



I've replaced it and the problems are all gone.



I guess it was not really a coincidence that the failure happened after

a major update. This isn't the first time an `emerge -pvuDN world`

killed my computer. :-)



Dan



On 09/13/2012 07:20 PM, Daniel Frey wrote:

> On 09/12/2012 09:49 PM, Chris Stankevitz wrote:

>> On Wed, Sep 12, 2012 at 5:18 PM, Daniel Frey <djqfrey@gmail.com> wrote:

>>> So about a month ago I decided to update my kernel to the dreaded 3.x

>>> series. My old 2.6.x kernel ...

>> FYI Linus Torvalds says there was no change between 2.6 and 3.0. *A quote:

>>

>> So what are the big changes? *NOTHING. Absolutely nothing. Sure, we

>> have the usual two thirds driver

>> changes, and a lot of random fixes, but the point is that 3.0 is

>> *just* about renumbering, we are very much *not* doing a KDE-4 or a

>> Gnome-3 here. No breakage, no special scary new features, nothing at

>> all like that.

>>

>> You can read his entire letter here:

>> https://lkml.org/lkml/2011/5/29/204

>>

>> Chris

> When I updated, I knew about changes in 3.2 that affected USB keyboard

> wake in suspend (& mostly how it deals with acpi. Most of the stuff

> moved to /sys/devices, the normal /proc/acpi/wakeup didn't really do

> anything.) This affected many users over many distros.

>

> It also changed how lirc works, although that happened around 2.6.38??,

> so my htpc frontend is still on 2.6.32. When I tried updating that

> machine to 3.0, nothing worked and I spent about a day troubleshooting

> it before I put the image I took of it before I upgraded it back on.

>

> Dan


On Saturday 15 Sep 2012 12:24:37 Philipp Kraus wrote:

> On 2012-09-14 02:32:37 +0200, Walter Dnes said:

> > On Thu, Sep 13, 2012 at 08:08:10PM +0200, Kraus Philipp wrote

> >

> >> Hello,

> >>

> >> I have got a modem US Robotics 5637 and I would like to use it with

> >> Hylafax+. Hylafax works fine, all clients can create jobs, but now

> >> I would like to configure / test the modem. Can anybody explain me

> >> how I can test / configure my modem. I have installed minicom and

> >> the modem is setup under /dev/modem with this udev rules

> >>

> > * I have the same type of USB dialup modem running under Gentoo. *I use

> >

> > it for emergency backup, if my ADSL connection goes down. *First

> > question... is your kernel properly configured? *You need to select the

> > USB Modem (CDC ACM) support kernel option. *In "make menuconfig" the

> > path is...

> > Device Drivers *--->

> >

> > * *[*] USB support *--->

> >

> > * * * *<*> * USB Modem (CDC ACM) support

>

> Thanks, I have forgot the CDC ACM module within the kernel. Rebuild my

> kernel, everything works fine except

> minicom, it shows always that my modem is offline, but if I send AT

> command the modem response



Hi Phil,



I'm going from memory, so I may not have this 100% correct and I have no modem

to hand to try it any more, plus what I'm going to say used to be the case

with a serial connection to a modem. *I never had a USB modem to know if it

would be the same.



If you have a DCD line between the modem and the PC, you should get the status

of the DCD signal in lower case "online/offline".



If the cable between the modem and the PC has no control wire, then minicom

would use an internal simulation of the DCD status and show the status in

capital letters "ONLINE/OFFLINE". *In that case you will only get "ONLINE" if

minicom can detect that you have enabled the modem, perhaps because data are

flowing back & forth.



You may want to tweak your flow-control options and see if the on/offline

signal works when a fax is being sent/received.



HTH.

--

Regards,

Mick


On Saturday 15 Sep 2012 17:28:26 Daniel Frey wrote:

> Well, it turns out it was my PSU. The voltage drop on the 5V line was

> 4.08, but it would slowly warm up to 4.95V, then the PC would behave

> normally. I opened the PSU and there was a ruptured cap.

>

> I've replaced it and the problems are all gone.

>

> I guess it was not really a coincidence that the failure happened after

> a major update. This isn't the first time an `emerge -pvuDN world`

> killed my computer. :-)

>

> Dan

>

> On 09/13/2012 07:20 PM, Daniel Frey wrote:

> > On 09/12/2012 09:49 PM, Chris Stankevitz wrote:

> >> On Wed, Sep 12, 2012 at 5:18 PM, Daniel Frey <djqfrey@gmail.com> wrote:

> >>> So about a month ago I decided to update my kernel to the dreaded 3.x

> >>> series. My old 2.6.x kernel ...

> >>

> >> FYI Linus Torvalds says there was no change between 2.6 and 3.0. *A

> >> quote:

> >>

> >> So what are the big changes? *NOTHING. Absolutely nothing. Sure, we

> >> have the usual two thirds driver

> >> changes, and a lot of random fixes, but the point is that 3.0 is

> >> *just* about renumbering, we are very much *not* doing a KDE-4 or a

> >> Gnome-3 here. No breakage, no special scary new features, nothing at

> >> all like that.

> >>

> >> You can read his entire letter here:

> >> https://lkml.org/lkml/2011/5/29/204

> >>

> >> Chris

> >

> > When I updated, I knew about changes in 3.2 that affected USB keyboard

> > wake in suspend (& mostly how it deals with acpi. Most of the stuff

> > moved to /sys/devices, the normal /proc/acpi/wakeup didn't really do

> > anything.) This affected many users over many distros.

> >

> > It also changed how lirc works, although that happened around 2.6.38??,

> > so my htpc frontend is still on 2.6.32. When I tried updating that

> > machine to 3.0, nothing worked and I spent about a day troubleshooting

> > it before I put the image I took of it before I upgraded it back on.

> >

> > Dan



I was also replacing capacitors last weekend. *It is a good idea to upgrade

them if there are alternatives of a higher maximum temperature as they will

probably last longer. *A belts & braces approach is to add another/larger case

fan to keep the in-case temperatures lower.

--

Regards,

Mick


Daniel Frey wrote:

> Well, it turns out it was my PSU. The voltage drop on the 5V line was

> 4.08, but it would slowly warm up to 4.95V, then the PC would behave

> normally. I opened the PSU and there was a ruptured cap.

>

> I've replaced it and the problems are all gone.

>

> I guess it was not really a coincidence that the failure happened after

> a major update. This isn't the first time an `emerge -pvuDN world`

> killed my computer. :-)

>

> Dan

>

>



*cough cough* *Maybe you need a better or more powerful power supply?

If that cap went bad, you could have some others that are ready for the

same problem. *I'd at least be on the look out for a new P/S. *The next

one could go out and take a mobo or something with it. *That would be

bad for sure.



Just a thought.



Dale



:-) *:-)



--

I am only responsible for what I said ... Not for what you understood or how you interpreted my words!




On Saturday 15 Sep 2012 01:27:04 Philip Webb wrote:

> I've got my new machine basically habitable with a few small problems.

>

> (1) In Fluxbox, Gkrellm insists on starting on Desktop 1 ;

> on my existing machine with the same config files, it starts on Desktop 8 .

> There must be some setting somewhere which has got changed.



Perhaps something like:



[app] (name=gkrellm)

* [Workspace] * {0}

[end]



instead of:



* [Workspace] * {7}



in your ~/.fluxbox/apps file? *Or may be you have a [Jump] {yes} command in

there too? *Not sure if something similar in ~/.fluxbox/startup could cause

this symptom, so have a look in there just in case.





> (2) Luxi Mono is not coming out cleanly in Gvim or (Xfce) Terminal :

> IIRC there's a pkg or a setting somewhere to fix it,

> but I can't find it in my extensive notes from the past.

>

> (3) I have *4 *heat sensors in Gkrellm : 'k10temp' + 3 * 'it87'.

> Can anyone suggest which bit of which device each is measuring ?



Emerge lm_sensors and then run sensors to see what's what.



I am guessing the k10temp is the core temperature of the CPU and the it87 the

chip temperature sensors (3-off) from ACPI?





> The AMD Bulldozer X4 FX-4170 4-Core 4,2 GHz is taking *c 3/8 *as long

> to compile eg Firefox or GCC as this machine's Intel Core2 Duo ;

> they also seem to be using less Portage tempspace on disk.

> The variable-rate fan is very impressive, ranging *2200 - 6800 rpm .



--

Regards,

Mick


I just received a new laptop (dell 6430s) with a 256GB SSD and naturally

want to install gentoo. *I have installed gentoo several times but this

is my first with an SSD.



Dell configures a small first partition and places windows on two other

partitions (one small; the other the rest of the disk).



I reinstalled windows shrinking the large partition very considerably (I

essentially never use the dell partition or windows; but they are

convenient to have if you need service from dell).



In my current system, I have



/root * "native partition"

/usr * *lvm2

/local *lvm2

/var * *lvm2

/tmp * *lvm2

/opt * *lvm2

/a * * *lvm2



My plan is to have root+usr on one "native partition" (to appease the

oracle at udev) and the rest on lvm2 as in my current configuration.



Although I will install dracut and perhaps try/use it, I do not want my

partitioning scheme to *force* me to use it. *I believe combining root

and usr (off lvm2) will accomplish this goal.



I was not surprised to see that the latest manual has root+usr combined,

but was surprised that they specify an additional small /boot partition.

I had thought that went out of favor a few years ago. *Is it back

because of the root+usr merge? *Do people here recommend a separate

/boot?



I know that it is important to have ssd partitions well aligned. *It

appears that fdisk is doing this automatically (see below). *Does the

following partitioning seem OK?



Disk /dev/sda: 256.1 GB, 256060514304 bytes

255 heads, 63 sectors/track, 31130 cylinders, total 500118192 sectors

Units = sectors of 1 * 512 = 512 bytes

Sector size (logical/physical): 512 bytes / 512 bytes

I/O size (minimum/optimal): 512 bytes / 512 bytes

Disk identifier: 0x58737050



* *Device Boot * * *Start * * * * End * * *Blocks * Id *System

/dev/sda1 * * * * * * *63 * * * 80324 * * * 40131 * de *Dell Utility

/dev/sda2 * * * * * 81920 * * 1622015 * * *770048 * *7 *HPFS/NTFS/exFAT

/dev/sda3 * * * * 1622016 * *64536575 * *31457280 * *7 *HPFS/NTFS/exFAT

/dev/sda4 * * * *64536576 * 500118191 * 217790808 * *5 *Extended

/dev/sda5 * * * *64538624 * 127453183 * *31457280 * 83 *Linux

/dev/sda6 * * * 127455232 * 131649535 * * 2097152 * 82 *Linux swap / Solaris

/dev/sda7 * * * 131651584 * 341366783 * 104857600 * 8e *Linux LVM



thanks,

allan








I'm having trouble with the pair of packages
bibletime-2.9.1 and clucene-2.3.3.4-r3, which were both recently
stabilized.* The pair of packages emerges without problem. * On
launch of bibletime from a terminal command, a blank splashscreen
appears,* followed in a number of seconds by a reported
segmentation fault.* Reverting to the older pair bibletime-2.3.3
and clucene-0.9.21b-r1 restores proper functionality.* The newer
stable bibletime will not emerge with the older stable clucene,
and the older stable bibletime will not emerge with the newer
stable clucene.* An attempt with the testing version
clucene-2.3.3.4-r4 did not make an apparent difference.



I am seeing the same behavior on an amd64 machine and an x86
machine that are generally similarly configured.* I'd like to see
if anyone else has observed this problem, or if I need to be
looking for something specific to my machines.



Thanks,

Gene





120915 Mick wrote:

> On Saturday 15 Sep 2012 01:27:04 Philip Webb wrote:

>> (1) In Fluxbox, Gkrellm insists on starting on Desktop 1 ;

>> on my existing machine with the same config files, it starts on Desktop 8 .

>> There must be some setting somewhere which has got changed.

> Perhaps something like:

>

> * [app] (name=gkrellm)

> * * [Workspace] * {0}

> * [end]

>

> instead of:

>

> * * [Workspace] * {7}

>

> in your ~/.fluxbox/apps file ?

> Or may be you have a [Jump] {yes} command in there too ?

> Not sure if something similar in ~/.fluxbox/startup could cause this,

> so have a look in there just in case.



Yes, I looked in those places, but there doesn't seem anything odd:



* [app] (name=gkrellm) (class=Gkrellm)

* * [Workspace] {7}

* * [Position] *(UPPERLEFT) * * {0 0}

* * [Close] * * {yes}

* [end]



However, I have a custom 'apps-pp' file too,

which mb getting defined in the new machine's 'init' file.

I've made a note to check tomorrow.



>> (2) Luxi Mono is not coming out cleanly in Gvim or (Xfce) Terminal :

>> IIRC there's a pkg or a setting somewhere to fix it,

>> but I can't find it in my extensive notes from the past.



I've found the note buried in my notes from the 2007 installation :

it needs a file */dev/fonts/local.conf *with various settings, esp



* <match target="font">

* * * <test name="family">

* * * * <string>Luxi Mono</string>

* * * </test>

* * * <test name="pixelsize" compare="less">

* * * * <double>24</double>

* * * </test>

* * * <edit name="hinting">

* * * * <bool>false</bool>

* * * </edit>

* * </match>



HTH anyone else who gets ugly fonts in a new box.



>> (3) I have *4 *heat sensors in Gkrellm : 'k10temp' + 3 * 'it87'.

>> Can anyone suggest which bit of which device each is measuring ?

> I am guessing the k10temp is the core temperature of the CPU

> and the it87 the chip temperature sensors (3-off) from ACPI?



Well, I can guess equally well (smile). When compiling Firefox & LibreOffice,

the 'it87-3' reached *68 C *once, while the other *3 *were lower ;

all *4 *CPUs were working at *99 % *at the time.

IIRC the displayed temperatures are not very accurate: when not active,

*3 *of the values were well below room temperature, which sb impossible.



I have the impression that the rate of CPU work is being controlled

in order to keep the temperature safely below the cut-off point

which I've set in BIOS, ie *70 C ; also, the variable fan is very impressive.

If so, it must be due to the combination of AMD + Gigabyte (mobo).



Thanks for the advice. *(1) must be fairly easy, when I find out why.

Any further info re (3) wb very welcome.



--

========================,,======================== ====================

SUPPORT * * ___________//___, * Philip Webb

ELECTRIC * /] [] [] [] [] []| * Cities Centre, University of Toronto

TRANSIT * *`-O----------O---' * purslowatchassdotutorontodotca




Allan Gottlieb wrote:


I just received a new laptop (dell 6430s) with a 256GB SSD and naturally

want to install gentoo. *I have installed gentoo several times but this

is my first with an SSD.



Dell configures a small first partition and places windows on two other

partitions (one small; the other the rest of the disk).



I reinstalled windows shrinking the large partition very considerably (I

essentially never use the dell partition or windows; but they are

convenient to have if you need service from dell).



In my current system, I have



/root * "native partition"

/usr * *lvm2

/local *lvm2

/var * *lvm2

/tmp * *lvm2

/opt * *lvm2

/a * * *lvm2



My plan is to have root+usr on one "native partition" (to appease the

oracle at udev) and the rest on lvm2 as in my current configuration.



Although I will install dracut and perhaps try/use it, I do not want my

partitioning scheme to *force* me to use it. *I believe combining root

and usr (off lvm2) will accomplish this goal.



I was not surprised to see that the latest manual has root+usr combined,

but was surprised that they specify an additional small /boot partition.

I had thought that went out of favor a few years ago. *Is it back

because of the root+usr merge? *Do people here recommend a separate

/boot?




It's just the way the Gentoo docs have always been. As with most things related to Unix, retrospective justifications are commonplace. I think it made a good deal more sense 10 years ago than it does today. Back then, ext2 was a safer option for boot loaders and live-distros alike. Nowadays, it generally doesn't matter and can be a source of confusion (I always thought that the self-referencing boot symlink was silly). There are some situations where it could afford more flexibility. However, I no longer specify a separate /boot unless there is a clear case for doing so.







I know that it is important to have ssd partitions well aligned. *It

appears that fdisk is doing this automatically (see below). *Does the

following partitioning seem OK?



Disk /dev/sda: 256.1 GB, 256060514304 bytes

255 heads, 63 sectors/track, 31130 cylinders, total 500118192 sectors

Units = sectors of 1 * 512 = 512 bytes

Sector size (logical/physical): 512 bytes / 512 bytes

I/O size (minimum/optimal): 512 bytes / 512 bytes

Disk identifier: 0x58737050



* * Device Boot * * *Start * * * * End * * *Blocks * Id *System

/dev/sda1 * * * * * * *63 * * * 80324 * * * 40131 * de *Dell Utility

/dev/sda2 * * * * * 81920 * * 1622015 * * *770048 * *7 *HPFS/NTFS/exFAT

/dev/sda3 * * * * 1622016 * *64536575 * *31457280 * *7 *HPFS/NTFS/exFAT

/dev/sda4 * * * *64536576 * 500118191 * 217790808 * *5 *Extended

/dev/sda5 * * * *64538624 * 127453183 * *31457280 * 83 *Linux

/dev/sda6 * * * 127455232 * 131649535 * * 2097152 * 82 *Linux swap / Solaris

/dev/sda7 * * * 131651584 * 341366783 * 104857600 * 8e *Linux LVM




These are all perfectly aligned except for the first partition, not that it matters. Incidentally, no special parameters are required for tools such as pvcreate, mkfs.ext4, mkfs.xfs and such. They will generally do the right thing based on the information exposed by sysfs.




Cheers,



--Kerin


120915 Allan Gottlieb wrote:

> I just received a new laptop (dell 6430s) with a 256GB SSD

> and naturally want to install Gentoo. *This is my first with an SSD.

> I reinstalled Windows shrinking the large partition very considerably



That much is what I did with my EEE netbook 2008 .

M$ has *2 *uses : when you need to test things with your ISP,

who is familiar with the Windows configuration process ;

when you want to play bridge with the machine (no bridge for Linux !).



> My plan is to have root+usr on one "native partition" to appease

> the oracle at udev and the rest on lvm2 as in my current configuration.



Now we've moved to my current installation on my newly-built desktop box,

my 1st SSD too. *It's working very well & I've dropped LVM.

My partitions on the SSD are (new box, old box assigned, old box used):



* SSD *sda *1 *boot * * 0,6 * 0,1 * 0,06 */boot

* * * * * * 2 *root * * *30 *20 * * 3,55 */ incl : opt usr var

* * * * * * 3 *swap * * * 4 * 4 * *-- * * swap

* * * * * * 5 *home * * *30 *20 * * 6,84 */home

* * * * * * 6 *portage * 15 *20 * * 3,43 */usr/portage (distfiles 2,3)

* * * * * *-- *var * * * -- * 5 * * 1,4 * /var

* * * * * * 7 *z * * * * 41 *24 * * 1,5 * /z

* * * * * * * *total * *121 *93,1 *19,45



* * * * * * * *tmpfs * * -- *-- * *-- * * /tmp



I've put */usr/local *+ */usr/src *on my HDD, which your laptop lacks,

but you've got *128 GB *more space on your SSD than I have

& you wb backing it up on some other machine, I assume,

so you have lots of space for more partitions for such things.

( /z *is a big hangar for making ISOs, testing archives, Portage tempdir).

NB I've assigned vastly more space than I'm currently actually using.



> I know that it is important to have ssd partitions well aligned.

> It appears that fdisk is doing this automatically.



Yes, iff you partition the whole disk that way.

I don't know whether Dell + M$ located their partitions correctly

or whether Fdisk will start at the proper place when adding more.



--

========================,,======================== ====================

SUPPORT * * ___________//___, * Philip Webb

ELECTRIC * /] [] [] [] [] []| * Cities Centre, University of Toronto

TRANSIT * *`-O----------O---' * purslowatchassdotutorontodotca




Philip Webb wrote:


Yes, iff you partition the whole disk that way.

I don't know whether Dell + M$ located their partitions correctly

or whether Fdisk will start at the proper place when adding more.




Microsoft have been doing the right thing since Vista SP1, long before the Linux ecosystem pulled its collective head out of the sand. Regarding the available partitioning tools, fdisk from util-linux-2.18 onwards is safe. Gentoo was extremely slow on the uptake in getting this issue resolved but that's water under the bridge now. Any release media from around the time bug #356941 was closed will be safe.




I usually validate the starting boundary of a partition in this fashion:



echo $(( 64538624 % 8 )) # 0 == 1MiB aligned == good



Cheers,



--Kerin


On Sat, Sep 15 2012, Kerin Millar wrote:



> Allan Gottlieb wrote:

>>

>> I was not surprised to see that the latest manual has root+usr combined,

>> but was surprised that they specify an additional small /boot partition.

>> I had thought that went out of favor a few years ago. *Is it back

>> because of the root+usr merge? *Do people here recommend a separate

>> /boot?

>

> It's just the way the Gentoo docs have always been. As with most

> things related to Unix, retrospective justifications are

> commonplace. I think it made a good deal more sense 10 years ago than

> it does today. Back then, ext2 was a safer option for boot loaders and

> live-distros alike. Nowadays, it generally doesn't matter and can be a

> source of confusion (I always thought that the self-referencing boot

> symlink was silly). There are some situations where it could afford

> more flexibility. However, I no longer specify a separate /boot unless

> there is a clear case for doing so.



Thanks. *I will do the same

>

>>

>> I know that it is important to have ssd partitions well aligned. *It

>> appears that fdisk is doing this automatically (see below). *Does the

>> following partitioning seem OK?

>>

> These are all perfectly aligned except for the first partition, not

> that it matters. Incidentally, no special parameters are required for

> tools such as pvcreate, mkfs.ext4, mkfs.xfs and such. They will

> generally do the right thing based on the information exposed by

> sysfs.



I was actually thinking about just that as I will be using mkfs.ext4 and

many of the lvm tools, so thanks in advance.



allan


On Sat, Sep 15 2012, Philip Webb wrote:



> 120915 Allan Gottlieb wrote:

>> I just received a new laptop (dell 6430s) with a 256GB SSD

>> and naturally want to install Gentoo. *This is my first with an SSD.

>> I reinstalled Windows shrinking the large partition very considerably

>

> That much is what I did with my EEE netbook 2008 .

> M$ has *2 *uses : when you need to test things with your ISP,

> who is familiar with the Windows configuration process ;

> when you want to play bridge with the machine (no bridge for Linux !).



I don't play bridge but do find windows also useful when dealing with

dell if there are any hardware issues.



>> My plan is to have root+usr on one "native partition" to appease

>> the oracle at udev and the rest on lvm2 as in my current configuration.

>

> It's working very well & I've dropped LVM.



I toyed with that thought after the udev business, but eventually

decided to stay with LVM.



> My partitions on the SSD are (new box, old box assigned, old box used):

>

> * SSD *sda *1 *boot * * 0,6 * 0,1 * 0,06 */boot

> * * * * * * 2 *root * * *30 *20 * * 3,55 */ incl : opt usr var

> * * * * * * 3 *swap * * * 4 * 4 * *-- * * swap

> * * * * * * 5 *home * * *30 *20 * * 6,84 */home

> * * * * * * 6 *portage * 15 *20 * * 3,43 */usr/portage (distfiles 2,3)

> * * * * * *-- *var * * * -- * 5 * * 1,4 * /var

> * * * * * * 7 *z * * * * 41 *24 * * 1,5 * /z

> * * * * * * * *total * *121 *93,1 *19,45

>

> * * * * * * * *tmpfs * * -- *-- * *-- * * /tmp



I am embarrassed to say I had trouble reading the above, embarrassed

because it show provincial habits. *I didn't even consider that , could

be a decimal point. *Now it is clear



> I've put */usr/local *+ */usr/src *on my HDD, which your laptop lacks,

> but you've got *128 GB *more space on your SSD than I have

> & you wb backing it up on some other machine, I assume,

> so you have lots of space for more partitions for such things.



Correct.



> ( /z *is a big hangar for making ISOs, testing archives, Portage tempdir).

> NB I've assigned vastly more space than I'm currently actually using.



I have the equivalent on my current system and will probably carry it

over as well.



>> I know that it is important to have ssd partitions well aligned.

>> It appears that fdisk is doing this automatically.

>

> Yes, iff you partition the whole disk that way.

> I don't know whether Dell + M$ located their partitions correctly

> or whether Fdisk will start at the proper place when adding more.



No for dell, yes for microsoft, yes for fdisk (at least emacs calc says

so).



thanks,

allan


On Sat, 2012-09-15 at 21:42 -0400, Allan Gottlieb wrote:

> On Sat, Sep 15 2012, Kerin Millar wrote:

>

> > Allan Gottlieb wrote:

> >>

> >> I was not surprised to see that the latest manual has root+usr combined,

> >> but was surprised that they specify an additional small /boot partition.

...



Sorta related ... can someone comment on, or point to a guide about the

relationship between partitioning, LVM and filesystems? *In particular,

it seems to me that if you are going to the bother of partitioning to

boundaries, whatever you put into that should also be aligned.



Would like to sort it out as my new macbook air with an SSD from work

should be arriving soon and I intend going separate /usr and LVM/btrfs

for all except the root and boot partitions.



BillK










On Sat, Sep 15 2012, Kerin Millar wrote:



> Philip Webb wrote:

>> Yes, iff you partition the whole disk that way.

>> I don't know whether Dell + M$ located their partitions correctly

>> or whether Fdisk will start at the proper place when adding more.

>

> Microsoft have been doing the right thing since Vista SP1,



I remember the bad days (me et al) when it was a pain to get the windows

partition shrunk and willing to accept a grub mbr. *I always allocated a

whole day (alone, since I would be grouchy) to do that and often needed

more time. *I think it was around vista, where it just became easy. *It

was certainly easy with the current windows 7.



> long before the Linux ecosystem pulled its collective head out of the

> sand. Regarding the available partitioning tools, fdisk from

> util-linux-2.18 onwards is safe. Gentoo was extremely slow on the

> uptake in getting this issue resolved but that's water under the

> bridge now. Any release media from around the time bug #356941 was

> closed will be safe.



I used a live CD from nov 3 2011



livecd ~ # uname -a

Linux livecd 3.0.6-gentoo #1 SMP Thu Nov 3 12:50:42 UTC 2011 x86_64 Intel(R) Core(TM) i7-3520M CPU @ 2.90GHz GenuineIntel GNU/Linux



> I usually validate the starting boundary of a partition in this fashion:

>

> echo $(( 64538624 % 8 )) # 0 == 1MiB aligned == good



right. *I used emacs calc.



allan


William Kenworthy wrote:


On Sat, 2012-09-15 at 21:42 -0400, Allan Gottlieb wrote:


On Sat, Sep 15 2012, Kerin Millar wrote:




Allan Gottlieb wrote:


I was not surprised to see that the latest manual has root+usr combined,

but was surprised that they specify an additional small /boot partition.


...



Sorta related ... can someone comment on, or point to a guide about the

relationship between partitioning, LVM and filesystems? *In particular,

it seems to me that if you are going to the bother of partitioning to

boundaries, whatever you put into that should also be aligned.




There's no bother whatsoever entailed with current release media. If you are setting all of this up on commodity hardware, it's all taken care of for you.



So as to satisfy your curiosity, one exception I have encountered is with systems that use LSI MegaRAID hardware. In this case, the information required for tools such as pvcreate and mkfs.xfs to function optimally is not conveyed to userspace. In the unlikely event that you need to take matters into your own hands, you may find this informative:




http://www.mysqlperformanceblog.com/2011/06/09/aligning-io-on-a-hard-disk-raid-the-theory/




Cheers,



--Kerin


On 09/15/2012 11:59 AM, Alexandre Paz Mena wrote:

>

> Thanks, I'll post a bug to upstream.

>

> Meanwhile, instead of adding libs, I worked adding them to econf.

>

> But a new problem has appeared, mldonkey-3.1.3 seems to not have a

> init.d script. I thought that was the ebuild work, but both ebuilds are

> almost the same and now I'm looking through the tarballs to see any

> differences related to that.



The init scripts are usually stored in the package's "files" directory.

You should see the mldonkey one here:



* $ ls /usr/portage/net-p2p/mldonkey/files/

* total 12K

* -rw-r--r-- 1 root root 1.6K 2008-06-30 12:12 2.9.5-execstacks.patch

* -rw-r--r-- 1 root root *887 2007-01-24 12:40 mldonkey.confd-2.8

* -rw-r--r-- 1 root root 3.1K 2011-10-23 14:22 mldonkey.initd



The ebuild in portage (tries to) install this:



* ...

* newinitd "${FILESDIR}/mldonkey.initd" mldonkey





A guess: you copied the ebuilds to an overlay, but didn't copy the

"files" directory. Normally you'd get an error as a result, but there's

a bug (lots of them, actually) in the ebuild. In earlier EAPIs, the

dofoo/newfoo functions could fail but would not do so automatically. The

usual way to handle this is with e.g.



* newinitd x y || die "newinitd didn't work"



The ebuild doesn't do this, so it happily continues after failing to

install the init script.


Hi,

strange thing happened to my web-server (apache-2.2.22-r1):

it started forking untill it used all ram/swap and stopped

responding. I counted ~60 apache processes running (ps -a),

all sleeping, top showed no load except all memory being used.

Log-files showed nothing suspicious to me, except for a few

"GET / HTTP/1.1 200 40" messages at the time when apache

was already unable to send reply.



Apparently my apache is not correctly configured when it

"forked to death", but maybe someone can help me. I have

about 1GB memory for apache. What should I change in my

config so that apache never runs out of memory?



server-info:

Timeouts: connection: 60 * *keep-alive: 15

MPM Name: Prefork

MPM Information: Max Daemons: 150 Threaded: no Forked: yes

Module Name: prefork.c

* * * 31: StartServers 5

* * * 32: MinSpareServers 5

* * * 33: MaxSpareServers 10

* * * 34: MaxClients 150



Jarry



--

__________________________________________________ _____________

This mailbox accepts e-mails only from selected mailing-lists!

Everything else is considered to be spam and therefore deleted.


Ok, thank you very much!

Apart from that, I should add those files to the dependencies, right?

On Sun, Sep 16, 2012 at 4:33 AM, Michael Orlitzky <michael@orlitzky.com> wrote:



On 09/15/2012 11:59 AM, Alexandre Paz Mena wrote:

>

> Thanks, I'll post a bug to upstream.

>

> Meanwhile, instead of adding libs, I worked adding them to econf.

>

> But a new problem has appeared, mldonkey-3.1.3 seems to not have a

> init.d script. I thought that was the ebuild work, but both ebuilds are

> almost the same and now I'm looking through the tarballs to see any

> differences related to that.



The init scripts are usually stored in the package's "files" directory.

You should see the mldonkey one here:



* $ ls /usr/portage/net-p2p/mldonkey/files/

* total 12K

* -rw-r--r-- 1 root root 1.6K 2008-06-30 12:12 2.9.5-execstacks.patch

* -rw-r--r-- 1 root root *887 2007-01-24 12:40 mldonkey.confd-2.8

* -rw-r--r-- 1 root root 3.1K 2011-10-23 14:22 mldonkey.initd



The ebuild in portage (tries to) install this:



* ...

* newinitd "${FILESDIR}/mldonkey.initd" mldonkey





A guess: you copied the ebuilds to an overlay, but didn't copy the

"files" directory. Normally you'd get an error as a result, but there's

a bug (lots of them, actually) in the ebuild. In earlier EAPIs, the

dofoo/newfoo functions could fail but would not do so automatically. The

usual way to handle this is with e.g.



* newinitd x y || die "newinitd didn't work"



The ebuild doesn't do this, so it happily continues after failing to

install the init script.





--
Alexandre Paz Mena


Hi all,

* * * * I've got a media server that I'm in the process of installing Samba on. When I do:



emerge -NuD --pretend samba



I get a list of stuff that portage wants to install, including Python, V2.7.3, even though the machine already has V3.2.3 installed. I've also stripped down the USE variables to basically "server" and that's all and still for some reason portage wants to bring in Python - the older version, V2. I've even added a "-python" to packages.use and it still wants python, V2. I've had a look at the USE variables for the packages that follow Python in the emerge list and they either don't want python or already have "-python" set.




* * * * Having a play around with equery also didn't reveal anything. Does anyone have any ideas as to what's causing old Python to be brought in? I haven't posted the whole "emerge --info" stuff yet as hopefully someone has come across this problem before.




* * * * Any thoughts greatly appreciated,



* * * * * * * * Andrew






On Sep 16, 2012 1:05 PM, "Andrew Lowe" <agl@wht.com.au> wrote:

>

> Hi all,

> * * * * I've got a media server that I'm in the process of installing Samba on. When I do:

>

> emerge -NuD --pretend samba

>

> I get a list of stuff that portage wants to install, including Python, V2.7.3, even though the machine already has V3.2.3 installed. I've also stripped down the USE variables to basically "server" and that's all and still for some reason portage wants to bring in Python - the older version, V2. I've even added a "-python" to packages.use and it still wants python, V2. I've had a look at the USE variables for the packages that follow Python in the emerge list and they either don't want python or already have "-python" set.



>

> * * * * Having a play around with equery also didn't reveal anything. Does anyone have any ideas as to what's causing old Python to be brought in? I haven't posted the whole "emerge --info" stuff yet as hopefully someone has come across this problem before.



>

> * * * * Any thoughts greatly appreciated,

>

> * * * * * * * * Andrew

>


Hi, when you are dealing with python always remember
 
Old 10-02-2012, 07:07 PM
Michael Mol
 
Default Subject: Digest of gentoo-user@lists.gentoo.org issue 2724 (141378-141427)

On Tue, Oct 2, 2012 at 2:56 PM, Fernando Villareal <xxmel0nxx@gmail.com> wrote:
> On Sun, Sep 16, 2012 at 11:05 AM, <gentoo-user+help@lists.gentoo.org> wrote:
>>
>> Topics (messages 141378 through 141427):

[snip]

Was there a reply in there somewhere?



--
:wq
 
Old 10-02-2012, 07:27 PM
Dale
 
Default Subject: Digest of gentoo-user@lists.gentoo.org issue 2724 (141378-141427)

Michael Mol wrote:
> On Tue, Oct 2, 2012 at 2:56 PM, Fernando Villareal <xxmel0nxx@gmail.com> wrote:
>> On Sun, Sep 16, 2012 at 11:05 AM, <gentoo-user+help@lists.gentoo.org> wrote:
>>> Topics (messages 141378 through 141427):
> [snip]
>
> Was there a reply in there somewhere?
>
>
>


I looked three times and no joy whatsoever. I even looked for the usual
"unsubscribe" that people test out. It doesn't work but people still
try it. lol

Guess we will be confused for a while. It's normal here tho. ;-)

Dale

:-) :-)

--
I am only responsible for what I said ... Not for what you understood or how you interpreted my words!
 

Thread Tools




All times are GMT. The time now is 08:37 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org